## evolution-ews 3.50.0

=== CMakeLists.txt ===
# Evolution-EWS build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution-ews
	VERSION 3.50.0
	LANGUAGES C)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_TESTS=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.68)
set(glib_encoded_version GLIB_VERSION_2_68)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.10)
set(gdk_encoded_version GDK_VERSION_3_10)

# Keep these two definitions in agreement.
set(soup_minimum_version 3.0)
set(soup_encoded_version SOUP_VERSION_3_0)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(evo_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(mspack_minimum_version 0.4)
set(libical_glib_minimum_version 3.0.5)
set(json_glib_minimum_version 1.0.4)
set(uhttpmock_minimum_version 0.9)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCSourceCompiles)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

if(${ENABLE_MAINTAINER_MODE})
	add_definitions(-DCAMEL_DISABLE_DEPRECATED=1 -DEDS_DISABLE_DEPRECATED=1)
endif(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

pkg_check_modules(CAMEL REQUIRED camel-1.2>=${eds_minimum_version})
pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED evolution-data-server-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBACKEND REQUIRED libebackend-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEBOOK REQUIRED libebook-1.2>=${eds_minimum_version})
pkg_check_modules(LIBECAL REQUIRED libecal-2.0>=${eds_minimum_version})
pkg_check_modules(LIBEDATABOOK REQUIRED libedata-book-1.2>=${eds_minimum_version})
pkg_check_modules(LIBEDATACAL REQUIRED libedata-cal-2.0>=${eds_minimum_version})
pkg_check_modules(LIBEDATASERVER REQUIRED libedataserver-1.2>=${eds_minimum_version})

pkg_check_modules(EVOLUTION_SHELL REQUIRED evolution-shell-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_MAIL REQUIRED evolution-mail-3.0>=${evo_minimum_version})
pkg_check_modules(EVOLUTION_CALENDAR REQUIRED evolution-calendar-3.0>=${evo_minimum_version})

pkg_check_modules(GNOME_PLATFORM REQUIRED
	glib-2.0>=${glib_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
)

pkg_check_modules(SOUP REQUIRED libsoup-3.0>=${soup_minimum_version})

pkg_check_modules(LIBICAL_GLIB REQUIRED libical-glib>=${libical_glib_minimum_version})

pkg_check_modules(JSON_GLIB REQUIRED json-glib-1.0>=${json_glib_minimum_version})

# ******************************
# libmspack with OAB support
# ******************************

add_printable_option(WITH_MSPACK "Use libmspack for OAB decompress" ON)

if(WITH_MSPACK)
	pkg_check_modules_for_option(WITH_MSPACK "libmspack for OAB decompress" MSPACK libmspack>=${mspack_minimum_version})
endif(WITH_MSPACK)

# ******************************
# SOUP_MESSAGE_IDEMPOTENT flag
# ******************************

set(CMAKE_REQUIRED_INCLUDES ${SOUP_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${SOUP_LDFLAGS})

CHECK_C_SOURCE_COMPILES("#include <libsoup/soup.h>
			int main(void) { SoupMessageFlags flag; flag = SOUP_MESSAGE_IDEMPOTENT; return 0; }" HAVE_SOUP_MESSAGE_IDEMPOTENT_FLAG)

unset(CMAKE_REQUIRED_INCLUDES)
unset(CMAKE_REQUIRED_LIBRARIES)

# ******************************
# uhttpmock for tests
# ******************************

add_printable_option(ENABLE_TESTS "Enable low level tests for EwsConnection" OFF)

if(ENABLE_TESTS)
	pkg_check_modules_for_option(ENABLE_TESTS "low level tests" UHTTPMOCK libuhttpmock-1.0>=${uhttpmock_minimum_version})
endif(ENABLE_TESTS)

# ******************************
# Office365 OAuth2 support
# ******************************

add_printable_variable(WITH_OFFICE365_TENANT "Office365.com OAuth 2.0 tenant" "")

if(WITH_OFFICE365_TENANT STREQUAL "")
	set(WITH_OFFICE365_TENANT "common")
endif(WITH_OFFICE365_TENANT STREQUAL "")

add_printable_variable(WITH_OFFICE365_CLIENT_ID "Office365.com OAuth 2.0 client ID" "")

if(WITH_OFFICE365_CLIENT_ID STREQUAL "")
	set(WITH_OFFICE365_CLIENT_ID "20460e5d-ce91-49af-a3a5-70b6be7486d1")
endif(WITH_OFFICE365_CLIENT_ID STREQUAL "")

add_printable_variable(WITH_OFFICE365_REDIRECT_URI "Office365.com OAuth 2.0 redirect URI" "")

if(WITH_OFFICE365_REDIRECT_URI STREQUAL "")
	set(WITH_OFFICE365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
endif(WITH_OFFICE365_REDIRECT_URI STREQUAL "")

add_printable_variable(WITH_OFFICE365_ENDPOINT_HOST "Office365.com OAuth 2.0 endpoint host" "")

if(WITH_OFFICE365_ENDPOINT_HOST STREQUAL "")
	set(WITH_OFFICE365_ENDPOINT_HOST "login.microsoftonline.com")
endif(WITH_OFFICE365_ENDPOINT_HOST STREQUAL "")

# ******************************
# Microsoft365 OAuth2 support (v2.0)
# ******************************

add_printable_variable(WITH_MICROSOFT365_TENANT "Microsoft 365 OAuth 2.0 tenant" "")

if(WITH_MICROSOFT365_TENANT STREQUAL "")
	set(WITH_MICROSOFT365_TENANT "common")
endif(WITH_MICROSOFT365_TENANT STREQUAL "")

add_printable_variable(WITH_MICROSOFT365_CLIENT_ID "Microsoft 365 OAuth 2.0 client ID" "")

if(WITH_MICROSOFT365_CLIENT_ID STREQUAL "")
	set(WITH_MICROSOFT365_CLIENT_ID "20460e5d-ce91-49af-a3a5-70b6be7486d1")
endif(WITH_MICROSOFT365_CLIENT_ID STREQUAL "")

add_printable_variable(WITH_MICROSOFT365_REDIRECT_URI "Microsoft 365 OAuth 2.0 redirect URI" "")

if(WITH_MICROSOFT365_REDIRECT_URI STREQUAL "")
	set(WITH_MICROSOFT365_REDIRECT_URI "https://login.microsoftonline.com/common/oauth2/nativeclient")
endif(WITH_MICROSOFT365_REDIRECT_URI STREQUAL "")

add_printable_variable(WITH_MICROSOFT365_ENDPOINT_HOST "Microsoft 365 OAuth 2.0 endpoint host" "")

if(WITH_MICROSOFT365_ENDPOINT_HOST STREQUAL "")
	set(WITH_MICROSOFT365_ENDPOINT_HOST "login.microsoftonline.com")
endif(WITH_MICROSOFT365_ENDPOINT_HOST STREQUAL "")

# ******************************
# Special directories
# ******************************

set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")

pkg_check_variable(camel_providerdir camel-1.2 camel_providerdir)
pkg_check_variable(ebook_backenddir libedata-book-1.2 backenddir)
pkg_check_variable(ecal_backenddir libedata-cal-2.0 backenddir)
pkg_check_variable(eds_moduledir libebackend-1.2 moduledir)
pkg_check_variable(ewsdatadir evolution-data-server-1.2 privdatadir)
pkg_check_variable(evo_privlibdir evolution-shell-3.0 privlibdir)
pkg_check_variable(errordir evolution-shell-3.0 errordir)
pkg_check_variable(evo_moduledir evolution-shell-3.0 moduledir)

add_printable_variable(FORCE_INSTALL_PREFIX "Whether to force install evolution-data-server and evolution files into the install prefix" OFF)
if(FORCE_INSTALL_PREFIX)
	pkg_check_variable(eds_prefix evolution-data-server-1.2 prefix)
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" camel_providerdir "${camel_providerdir}")
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" ebook_backenddir "${ebook_backenddir}")
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" ecal_backenddir "${ecal_backenddir}")
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" eds_moduledir "${eds_moduledir}")
	string(REGEX REPLACE "^${eds_prefix}" "${CMAKE_INSTALL_PREFIX}" ewsdatadir "${ewsdatadir}")

	pkg_check_variable(evo_prefix evolution-shell-3.0 prefix)
	string(REGEX REPLACE "^${evo_prefix}" "${CMAKE_INSTALL_PREFIX}" errordir "${errordir}")
	string(REGEX REPLACE "^${evo_prefix}" "${CMAKE_INSTALL_PREFIX}" evo_moduledir "${evo_moduledir}")
endif(FORCE_INSTALL_PREFIX)

set(ewsdatadir "${ewsdatadir}/ews")

SET(CMAKE_INSTALL_RPATH "${privlibdir}:${evo_privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

# Generate the ${PROJECT_NAME}-config.h file
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.h)

print_build_options()

=== debian/changelog ===
evolution-ews (3.50.0-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.50.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 15:11:31 -0400

evolution-ews (3.49.3-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.49.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 09:25:31 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.50.0),
               evolution-data-server-dev (>= 3.50.0),
               libcamel1.2-dev (>= 3.50.0),
               libedataserver1.2-dev (>= 3.50.0),
               libebackend1.2-dev (>= 3.50.0),
               libecal2.0-dev (>= 3.50.0),
               libedata-cal2.0-dev (>= 3.50.0),
               libebook1.2-dev (>= 3.50.0),
               libedata-book1.2-dev (>= 3.50.0),
               libglib2.0-dev (>= 2.62),
               libgtk-3-dev (>= 3.0),
               libjson-glib-dev,
               libmspack-dev (>= 0.4),
               libsoup-3.0-dev,
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
Homepage: https://wiki.gnome.org/Apps/Evolution

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= ${evo:Version}),
         evolution (<< ${evo:NextVersion}),
         evolution-data-server (>= ${eds:Version}),
         evolution-data-server (<< ${eds:NextVersion}),
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but
 it supports the Exchange 2007 version.

## evolution-ews 3.50.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.1)
 
 project(evolution-ews
-	VERSION 3.50.0
+	VERSION 3.50.3
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== debian/changelog ===
evolution-ews (3.50.3-1) unstable; urgency=medium

  * New upstream release
    - Bug Fixes:
      + Mail: Calendar attachments can be broken by the server
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/250)
      + Workaround Outlook 2019 ORGANIZER and ATTENDEE addition into
        plain events
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/251)
  * debian/control: Bump evolution and evolution-data-server
    build-dependencies to >= 3.50.3

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 08 Jan 2024 21:51:22 -0500

evolution-ews (3.50.2-1) unstable; urgency=medium

  * New upstream release
    - Bug Fixes:
      Calendar: Don't convert UTC times to local timezone
      (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/248)
  * Stop using debian/control.in
  * debian/control.in: Bump evolution and evolution-data-server
    build-dependencies to >= 3.50.2

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 05 Dec 2023 22:40:36 -0500

evolution-ews (3.50.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Bug Fixes:
      + Search in online GAL when OAB is misconfigured
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/246)
      + Text from .error file not translated in the GUI
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/247)
      + Fix scope for OAuth2 v2 being hard-coded to O365 (Mara Sophie Grosch)
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/merge_requests/9)
  * debian/control.in: Bump evolution and evolution-data-server
    build-dependencies to >= 3.50.1

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 24 Oct 2023 07:44:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: evolution-ews
 Section: gnome
 Priority: optional
@@ -9,17 +5,16 @@
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dh-sequence-gnome,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.50.0),
-               evolution-data-server-dev (>= 3.50.0),
-               libcamel1.2-dev (>= 3.50.0),
-               libedataserver1.2-dev (>= 3.50.0),
-               libebackend1.2-dev (>= 3.50.0),
-               libecal2.0-dev (>= 3.50.0),
-               libedata-cal2.0-dev (>= 3.50.0),
-               libebook1.2-dev (>= 3.50.0),
-               libedata-book1.2-dev (>= 3.50.0),
+               evolution-dev (>= 3.50.3),
+               evolution-data-server-dev (>= 3.50.3),
+               libcamel1.2-dev (>= 3.50.3),
+               libedataserver1.2-dev (>= 3.50.3),
+               libebackend1.2-dev (>= 3.50.3),
+               libecal2.0-dev (>= 3.50.3),
+               libedata-cal2.0-dev (>= 3.50.3),
+               libebook1.2-dev (>= 3.50.3),
+               libedata-book1.2-dev (>= 3.50.3),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,

## evolution-ews 3.52.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Evolution-EWS build script
 
-cmake_minimum_required(VERSION 3.1)
-cmake_policy(VERSION 3.1)
+cmake_minimum_required(VERSION 3.15)
+cmake_policy(VERSION 3.15)
 
 project(evolution-ews
-	VERSION 3.50.3
+	VERSION 3.52.0
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== src/EWS/calendar/CMakeLists.txt ===
install(FILES windowsZones.xml
	DESTINATION ${ewsdatadir}
)

# helper static library

set(DEPENDENCIES
	evolution-ews
)

add_library(ews-m365 STATIC
	e-cal-backend-ews-m365.h
	e-cal-backend-ews-m365.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/camel-m365-settings.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/camel-m365-settings.h
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-connection.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-connection.h
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-json-utils.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-json-utils.h
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-tz-utils.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/common/e-m365-tz-utils.h
	${CMAKE_SOURCE_DIR}/src/Microsoft365/calendar/e-cal-backend-m365-utils.c
	${CMAKE_SOURCE_DIR}/src/Microsoft365/calendar/e-cal-backend-m365-utils.h
)

add_dependencies(ews-m365
	${DEPENDENCIES}
)

target_compile_definitions(ews-m365 PRIVATE
	-DG_LOG_DOMAIN=\"ecalbackendews-m365\"
	-DM365_DATADIR=\"${ewsdatadir}\"
)

target_compile_options(ews-m365 PUBLIC
	${CAMEL_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ews-m365 PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/EWS
	${CMAKE_SOURCE_DIR}/src/EWS
	${CMAKE_BINARY_DIR}/src/Microsoft365
	${CMAKE_SOURCE_DIR}/src/Microsoft365
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ews-m365
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

# the main module

set(DEPENDENCIES
	evolution-ews
	ews-m365
)

set(SOURCES
	e-cal-backend-ews.c
	e-cal-backend-ews.h
	e-cal-backend-ews-factory.c
	e-cal-backend-ews-m365.h
	e-cal-backend-ews-utils.c
	e-cal-backend-ews-utils.h
)

add_library(ecalbackendews MODULE
	${SOURCES}
)

add_dependencies(ecalbackendews
	${DEPENDENCIES}
)

set_target_properties(ecalbackendews PROPERTIES
	C_VISIBILITY_PRESET hidden
)

target_compile_definitions(ecalbackendews PRIVATE
	-DG_LOG_DOMAIN=\"ecalbackendews\"
	-DEXCHANGE_EWS_DATADIR=\"${ewsdatadir}\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DEXCHANGE_EWS_SRCDIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
)

target_compile_options(ecalbackendews PUBLIC
	${CAMEL_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ecalbackendews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/EWS
	${CMAKE_SOURCE_DIR}/src/EWS
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ecalbackendews
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS ecalbackendews
	DESTINATION ${ecal_backenddir}
)

=== src/EWS/camel/CMakeLists.txt ===
install(FILES libcamelews.urls
	DESTINATION ${camel_providerdir}
)

# *************************************************
# Installed private library which can be linked to
# *************************************************

glib_mkenums(camel-ews-enumtypes camel-ews-enums.h CAMEL_EWS_ENUMTYPES_H)

set(DEPENDENCIES
	evolution-ews
)

set(SOURCES
	camel-ews-enums.h
	camel-ews-folder.c
	camel-ews-folder.h
	camel-ews-message-info.c
	camel-ews-message-info.h
	camel-ews-private.h
	camel-ews-search.c
	camel-ews-search.h
	camel-ews-store-summary.c
	camel-ews-store-summary.h
	camel-ews-store.c
	camel-ews-store.h
	camel-ews-summary.c
	camel-ews-summary.h
	camel-ews-utils.c
	camel-ews-utils.h
	camel-ews-transport.c
	camel-ews-transport.h
	${CMAKE_CURRENT_BINARY_DIR}/camel-ews-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/camel-ews-enumtypes.h
)

add_library(camelews-priv SHARED
	${SOURCES}
)

add_dependencies(camelews-priv
	${DEPENDENCIES}
)

target_compile_definitions(camelews-priv PRIVATE
	-DG_LOG_DOMAIN=\"camel-ews-provider\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(camelews-priv PUBLIC
	${CAMEL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBECAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(camelews-priv PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/EWS
	${CMAKE_SOURCE_DIR}/src/EWS
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CAMEL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(camelews-priv
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS camelews-priv
	DESTINATION ${privsolibdir}
)

# *************************************************
# Provider module
# *************************************************

set(DEPENDENCIES
	camelews-priv
	evolution-ews
)

set(SOURCES
	camel-ews-provider.c
)

add_library(camelews MODULE
	${SOURCES}
)

add_dependencies(camelews
	${DEPENDENCIES}
)

target_compile_definitions(camelews PRIVATE
	-DG_LOG_DOMAIN=\"camel-ews-provider\"
	-DEXCHANGE_EWS_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
)

target_compile_options(camelews PUBLIC
	${CAMEL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${LIBECAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(camelews PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/EWS
	${CMAKE_SOURCE_DIR}/src/EWS
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(camelews
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS camelews
	DESTINATION ${camel_providerdir}
)

=== src/Microsoft365/calendar/CMakeLists.txt ===
set(DEPENDENCIES
	evolution-microsoft365
)

set(SOURCES
	e-cal-backend-m365.c
	e-cal-backend-m365.h
	e-cal-backend-m365-factory.c
	e-cal-backend-m365-utils.c
	e-cal-backend-m365-utils.h
)

add_library(ecalbackendmicrosoft365 MODULE
	${SOURCES}
)

add_dependencies(ecalbackendmicrosoft365
	${DEPENDENCIES}
)

target_compile_definitions(ecalbackendmicrosoft365 PRIVATE
	-DG_LOG_DOMAIN=\"ecalbackendmicrosoft365\"
	-DM365_DATADIR=\"${ewsdatadir}\"
	-DM365_LOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DM365_SRCDIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"
)

target_compile_options(ecalbackendmicrosoft365 PUBLIC
	${CAMEL_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(ecalbackendmicrosoft365 PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/Microsoft365
	${CMAKE_SOURCE_DIR}/src/Microsoft365
	${CMAKE_CURRENT_BINARY_DIR}
	${CAMEL_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(ecalbackendmicrosoft365
	${DEPENDENCIES}
	${CAMEL_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS ecalbackendmicrosoft365
	DESTINATION ${ecal_backenddir}
)

=== src/Microsoft365/common/CMakeLists.txt ===
glib_mkenums(e-m365-enumtypes e-m365-enums.h E_M365_ENUMTYPES_H)

set(SOURCES
	camel-sasl-xoauth2-microsoft365.c
	camel-sasl-xoauth2-microsoft365.h
	camel-m365-settings.c
	camel-m365-settings.h
	e-m365-connection.c
	e-m365-connection.h
	e-m365-enums.h
	e-m365-json-utils.c
	e-m365-json-utils.h
	e-m365-tz-utils.c
	e-m365-tz-utils.h
	e-oauth2-service-microsoft365.c
	e-oauth2-service-microsoft365.h
	e-source-m365-folder.c
	e-source-m365-folder.h
	${CMAKE_CURRENT_BINARY_DIR}/e-m365-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/e-m365-enumtypes.h
)

add_library(evolution-microsoft365 SHARED
	${SOURCES}
)

target_compile_definitions(evolution-microsoft365 PRIVATE
	-DG_LOG_DOMAIN=\"evolution-microsoft365\"
	-DM365_DATADIR=\"${ewsdatadir}\"
)

target_compile_options(evolution-microsoft365 PUBLIC
	${CAMEL_CFLAGS}
	${JSON_GLIB_CFLAGS}
	${LIBEBACKEND_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEDATACAL_CFLAGS}
	${LIBEDATASERVER_CFLAGS}
	${SOUP_CFLAGS}
)

target_include_directories(evolution-microsoft365 PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src/Microsoft365
	${CMAKE_SOURCE_DIR}/src/Microsoft365
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CAMEL_INCLUDE_DIRS}
	${JSON_GLIB_INCLUDE_DIRS}
	${LIBEBACKEND_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEDATACAL_INCLUDE_DIRS}
	${LIBEDATASERVER_INCLUDE_DIRS}
	${SOUP_INCLUDE_DIRS}
)

target_link_libraries(evolution-microsoft365
	${CAMEL_LDFLAGS}
	${JSON_GLIB_LDFLAGS}
	${LIBEBACKEND_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEDATACAL_LDFLAGS}
	${LIBEDATASERVER_LDFLAGS}
	${SOUP_LDFLAGS}
)

install(TARGETS evolution-microsoft365
	DESTINATION ${privsolibdir}
)

=== debian/changelog ===
evolution-ews (3.52.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:51:50 +0000

evolution-ews (3.52.0-1) experimental; urgency=medium

  * New upstream release (LP: #2056649)
    - 3.51.3 Bug Fixes:
      + Retract dialog can duplicate cancellation mails
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/259)
      + Do not change organizer when adding meeting from mail
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/260)
      + Impersonate mailbox uses original user's connection
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/261)
      + build: Make sure tests run in serial
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/522)
    - 3.52.0 Bug Fixes:
      + Use OAuth2 protocol 2.0 by default
        (https://gitlab.gnome.org/GNOME/evolution-ews/-/issues/264)
    - 3.52.0 Miscellaneous:
      + build: Correct overlinking on the m365 part
      + SetupBuildFlags.cmake: Remove "-Wl,--no-undefined" from
        compiler flags
      + Replace https://wiki.gnome.org/Apps/Evolution in the sources
  * debian/control: Bump evolution and evolution-data-server
    build-dependencies to >= 3.52.0

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 20 Mar 2024 16:09:42 -0400

evolution-ews (3.51.2-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.51.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 14:13:16 -0500

=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.52.0),
               evolution-data-server-dev (>= 3.52.0),
               libcamel1.2-dev (>= 3.52.0),
               libedataserver1.2-dev (>= 3.52.0),
               libebackend1.2-dev (>= 3.52.0),
               libecal2.0-dev (>= 3.52.0),
               libedata-cal2.0-dev (>= 3.52.0),
               libebook1.2-dev (>= 3.52.0),
               libedata-book1.2-dev (>= 3.52.0),
               libglib2.0-dev (>= 2.62),
               libgtk-3-dev (>= 3.0),
               libjson-glib-dev,
               libmspack-dev (>= 0.4),
               libsoup-3.0-dev,
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkgconf,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
Homepage: https://wiki.gnome.org/Apps/Evolution

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= ${evo:Version}),
         evolution (<< ${evo:NextVersion}),
         evolution-data-server (>= ${eds:Version}),
         evolution-data-server (<< ${eds:NextVersion}),
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but
 it supports the Exchange 2007 version.

## evolution-ews 3.52.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.15)
 
 project(evolution-ews
-	VERSION 3.52.0
+	VERSION 3.52.3
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== debian/changelog ===
evolution-ews (3.52.3-1) unstable; urgency=medium

  * New upstream release
    - Fixes emails only sent to first email address in list (LP: #2069169)
  * Bump evolution and evolution-data-server build-dependencies to >= 3.52.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 10:13:44 -0400

evolution-ews (3.52.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.52.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 08:49:38 -0400

evolution-ews (3.52.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 09 May 2024 21:13:00 -0400

evolution-ews (3.52.1-1) experimental; urgency=medium

  * New upstream release
    - Improve reproducibility (Closes: #1004057)
  * Bump evolution and evolution-data-server build-dependencies to >= 3.52.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 17:33:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.52.0),
-               evolution-data-server-dev (>= 3.52.0),
-               libcamel1.2-dev (>= 3.52.0),
-               libedataserver1.2-dev (>= 3.52.0),
-               libebackend1.2-dev (>= 3.52.0),
-               libecal2.0-dev (>= 3.52.0),
-               libedata-cal2.0-dev (>= 3.52.0),
-               libebook1.2-dev (>= 3.52.0),
-               libedata-book1.2-dev (>= 3.52.0),
+               evolution-dev (>= 3.52.3),
+               evolution-data-server-dev (>= 3.52.3),
+               libcamel1.2-dev (>= 3.52.3),
+               libedataserver1.2-dev (>= 3.52.3),
+               libebackend1.2-dev (>= 3.52.3),
+               libecal2.0-dev (>= 3.52.3),
+               libedata-cal2.0-dev (>= 3.52.3),
+               libebook1.2-dev (>= 3.52.3),
+               libedata-book1.2-dev (>= 3.52.3),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,

## evolution-ews 3.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.15)
 
 project(evolution-ews
-	VERSION 3.52.3
+	VERSION 3.54.0
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== debian/changelog ===
evolution-ews (3.54.0-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.54.0

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Sep 2024 15:52:42 +0200

evolution-ews (3.53.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.53.3
  * debian: Document and override custom-library-search-path lintian error

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 06 Sep 2024 10:44:11 +0200

evolution-ews (3.53.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.53.2
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 13:47:44 -0400

evolution-ews (3.52.4-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.52.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 13:12:44 -0400

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.52.3),
-               evolution-data-server-dev (>= 3.52.3),
-               libcamel1.2-dev (>= 3.52.3),
-               libedataserver1.2-dev (>= 3.52.3),
-               libebackend1.2-dev (>= 3.52.3),
-               libecal2.0-dev (>= 3.52.3),
-               libedata-cal2.0-dev (>= 3.52.3),
-               libebook1.2-dev (>= 3.52.3),
-               libedata-book1.2-dev (>= 3.52.3),
+               evolution-dev (>= 3.54.0),
+               evolution-data-server-dev (>= 3.54.0),
+               libcamel1.2-dev (>= 3.54.0),
+               libedataserver1.2-dev (>= 3.54.0),
+               libebackend1.2-dev (>= 3.54.0),
+               libecal2.0-dev (>= 3.54.0),
+               libedata-cal2.0-dev (>= 3.54.0),
+               libebook1.2-dev (>= 3.54.0),
+               libedata-book1.2-dev (>= 3.54.0),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
@@ -23,7 +23,7 @@
                intltool (>= 0.35.5),
                libsqlite3-dev,
                pkgconf,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git

## evolution-ews 3.54.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.15)
 
 project(evolution-ews
-	VERSION 3.54.0
+	VERSION 3.54.1
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== src/Microsoft365/evolution/CMakeLists.txt ===
set(sources
	e-cal-config-m365.c
	e-cal-config-m365.h
	e-book-config-m365.c
	e-book-config-m365.h
	e-m365-comp-editor-extension.c
	e-m365-comp-editor-extension.h
	e-mail-config-m365-backend.c
	e-mail-config-m365-backend.h
	module-m365-configuration.c
)
set(extra_deps)
set(extra_defines)
set(extra_cflags
	${EVOLUTION_CALENDAR_CFLAGS}
	${EVOLUTION_MAIL_CFLAGS}
	${EVOLUTION_SHELL_CFLAGS}
	${LIBECAL_CFLAGS}
	${LIBEBOOK_CFLAGS}
)
set(extra_incdirs
	${EVOLUTION_CALENDAR_INCLUDE_DIRS}
	${EVOLUTION_MAIL_INCLUDE_DIRS}
	${EVOLUTION_SHELL_INCLUDE_DIRS}
	${LIBECAL_INCLUDE_DIRS}
	${LIBEBOOK_INCLUDE_DIRS}
)
set(extra_ldflags
	${EVOLUTION_CALENDAR_LDFLAGS}
	${EVOLUTION_MAIL_LDFLAGS}
	${EVOLUTION_SHELL_LDFLAGS}
	${LIBECAL_LDFLAGS}
	${LIBEBOOK_LDFLAGS}
)

add_simple_module_m365(module-microsoft365-configuration
	sources
	extra_deps
	extra_defines
	extra_cflags
	extra_incdirs
	extra_ldflags
	"${evo_moduledir}"
)

=== debian/changelog ===
evolution-ews (3.54.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.54.1

  [ Jeremy Bícha ]
  * Update homepage

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 18 Oct 2024 16:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.54.0),
-               evolution-data-server-dev (>= 3.54.0),
-               libcamel1.2-dev (>= 3.54.0),
-               libedataserver1.2-dev (>= 3.54.0),
-               libebackend1.2-dev (>= 3.54.0),
-               libecal2.0-dev (>= 3.54.0),
-               libedata-cal2.0-dev (>= 3.54.0),
-               libebook1.2-dev (>= 3.54.0),
-               libedata-book1.2-dev (>= 3.54.0),
+               evolution-dev (>= 3.54.1),
+               evolution-data-server-dev (>= 3.54.1),
+               libcamel1.2-dev (>= 3.54.1),
+               libedataserver1.2-dev (>= 3.54.1),
+               libebackend1.2-dev (>= 3.54.1),
+               libecal2.0-dev (>= 3.54.1),
+               libedata-cal2.0-dev (>= 3.54.1),
+               libebook1.2-dev (>= 3.54.1),
+               libedata-book1.2-dev (>= 3.54.1),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,
@@ -27,7 +27,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
 Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
-Homepage: https://wiki.gnome.org/Apps/Evolution
+Homepage: https://gitlab.gnome.org/GNOME/evolution/-/wikis/home
 
 Package: evolution-ews
 Architecture: any

## evolution-ews 3.54.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.15)
 
 project(evolution-ews
-	VERSION 3.54.1
+	VERSION 3.54.2
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")

=== debian/changelog ===
evolution-ews (3.54.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.54.2

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 05 Dec 2024 11:26:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.54.1),
-               evolution-data-server-dev (>= 3.54.1),
-               libcamel1.2-dev (>= 3.54.1),
-               libedataserver1.2-dev (>= 3.54.1),
-               libebackend1.2-dev (>= 3.54.1),
-               libecal2.0-dev (>= 3.54.1),
-               libedata-cal2.0-dev (>= 3.54.1),
-               libebook1.2-dev (>= 3.54.1),
-               libedata-book1.2-dev (>= 3.54.1),
+               evolution-dev (>= 3.54.2),
+               evolution-data-server-dev (>= 3.54.2),
+               libcamel1.2-dev (>= 3.54.2),
+               libedataserver1.2-dev (>= 3.54.2),
+               libebackend1.2-dev (>= 3.54.2),
+               libecal2.0-dev (>= 3.54.2),
+               libedata-cal2.0-dev (>= 3.54.2),
+               libebook1.2-dev (>= 3.54.2),
+               libedata-book1.2-dev (>= 3.54.2),
                libglib2.0-dev (>= 2.62),
                libgtk-3-dev (>= 3.0),
                libjson-glib-dev,

## evolution-ews 3.55.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.15)
 
 project(evolution-ews
-	VERSION 3.54.2
+	VERSION 3.55.2
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-ews/issues/")
 
@@ -277,8 +277,9 @@
 	set(privsolibdir "${privlibdir}")
 endif(WIN32)
 
-# Generate the ${PROJECT_NAME}-config.h file
-CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/${PROJECT_NAME}-config.h)
-
-print_build_options()
-
+# ******************************
+# libical-glib API changes
+# ******************************
+
+set(CMAKE_REQUIRED_DEFINITIONS ${LIBECAL_CFLAGS})
+set(CMAKE_REQUIRED_INCLUDES ${LIBECAL_INCLUDE_DIRS})

=== debian/changelog ===
evolution-ews (3.55.2-1) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.55.2
  * Remove remaining patch: applied in new release
  * Release to unstable
  * Revert "Set Salsa CI release to experimental"

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 14:51:41 -0500

evolution-ews (3.55.1-2) experimental; urgency=medium

  * Don't install same file in both packages
  * Salsa CI: Disable piuparts & reprotest since we're using experimental

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 17:51:32 -0500

evolution-ews (3.55.1-1) experimental; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.55.1
  * Opt into Salsa CI and set Salsa CI release to experimental

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 Jan 2025 15:53:52 -0500

evolution-ews (3.54.3.0-3) unstable; urgency=medium

  * Re-upload for migration to Testing

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 Jan 2025 15:34:47 -0500

evolution-ews (3.54.3.0-2) unstable; urgency=medium

  * New upstream release
  * Bump evolution and evolution-data-server build-dependencies to >= 3.54.3
  * Split most of evolution-ews to evolution-ews-core to enable it to be
    installed without installing Evolution since it also enables Microsoft 365
    integration in the GNOME Calendar and GNOME Contacts apps (Closes: #1092496)
  * Cherry-pick upstream commit to fix using evolution-ews without Evolution
  * debian/copyright: Update and convert to 1.0 format

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Jan 2025 18:21:50 -0500

=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               evolution-data-server-dev (>= 3.55.2),
               evolution-dev (>= 3.55.2),
               gtk-doc-tools (>= 1.9),
               intltool (>= 0.35.5),
               libcamel1.2-dev (>= 3.55.2),
               libebackend1.2-dev (>= 3.55.2),
               libebook1.2-dev (>= 3.55.2),
               libecal2.0-dev (>= 3.55.2),
               libedata-book1.2-dev (>= 3.55.2),
               libedata-cal2.0-dev (>= 3.55.2),
               libedataserver1.2-dev (>= 3.55.2),
               libglib2.0-dev (>= 2.62),
               libgtk-3-dev (>= 3.0),
               libjson-glib-dev,
               libmspack-dev (>= 0.4),
               libsoup-3.0-dev,
               libsqlite3-dev,
               pkgconf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-ews
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-ews.git
Homepage: https://gitlab.gnome.org/GNOME/evolution/-/wikis/home

Package: evolution-ews
Architecture: any
Depends: evolution (<< ${evo:NextVersion}),
         evolution (>= ${evo:Version}),
         evolution-ews-core (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but
 it supports the Exchange 2007 version.

Package: evolution-ews-core
Architecture: any
Depends: evolution-data-server (<< ${eds:NextVersion}),
         evolution-data-server (>= ${eds:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: evolution-ews (<< 3.55.2)
Replaces: evolution-ews (<< 3.55.2)
Description: Exchange Web Services integration for GNOME
 This package allows GNOME apps other than Evolution to connect
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but
 it supports the Exchange 2007 version.
